This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 875360 (CVE-2012-4542)

Summary: CVE-2012-4542 kernel: block: default SCSI command filter does not accomodate commands overlap across device classes
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, bhu, caiqian, dhoward, fhrbata, iboverma, jkacur, jmagrini, jneedle, jrieden, juzhang, kernel-mgr, knoel, lgoncalv, lwang, mcressma, nobody, pbonzini, plougher, rbalakri, rt-maint, rvrbovsk, security-response-team, tburke, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130124,reported=20121019,source=redhat,cvss2=4.9/AV:A/AC:M/Au:S/C:P/I:P/A:P,rhel-5.9.z/kernel=affected,rhel-5.10/kernel=affected,rhel-6/kernel=affected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected,rhel-6.2.z/kernel=affected,rhel-7/kernel=wontfix
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-10-16 02:37:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 875361, 878123, 878124, 878126, 878127, 878128, 919346, 953626, 1021797    
Bug Blocks: 875363    

Description Petr Matousek 2012-11-10 14:36:12 EST
The default SCSI command filter does not accomodate commands that overlap across device classes.

An privileged guest user could potentially use this flaw to write arbitrary data to a LUN that is passed-through as read-only.

Acknowledgements:

This issue was discovered by Paolo Bonzini of Red Hat.
Comment 2 Paolo Bonzini 2012-11-16 13:00:51 EST
The full list of overlapping commands:

- READ SUBCHANNEL <-> UNMAP (destructive, but no control on written data)

- GET PERFORMANCE <-> ERASE (not really a problem, no one supports ERASE anyway)

- READ DISC INFORMATION <-> XPWRITE (not commonly implemented but most dangerous)
Comment 5 Petr Matousek 2013-01-24 10:51:13 EST
Proposed upstream patch:
  https://lkml.org/lkml/2013/1/24/279
Comment 8 errata-xmlrpc 2013-02-21 01:56:49 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0496 https://rhn.redhat.com/errata/RHSA-2013-0496.html
Comment 13 errata-xmlrpc 2013-02-28 13:59:22 EST
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:0579 https://rhn.redhat.com/errata/RHSA-2013-0579.html
Comment 14 errata-xmlrpc 2013-03-11 14:39:41 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0622 https://rhn.redhat.com/errata/RHSA-2013-0622.html
Comment 22 errata-xmlrpc 2013-05-30 14:31:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2013:0882 https://rhn.redhat.com/errata/RHSA-2013-0882.html
Comment 23 errata-xmlrpc 2013-06-11 13:38:42 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server Only

Via RHSA-2013:0928 https://rhn.redhat.com/errata/RHSA-2013-0928.html
Comment 24 Petr Matousek 2015-10-16 02:37:37 EDT
Statement:

This issue does affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 7. Due to the lack of upstream patches and the Moderate impact, we are not planning to address this issue in Red Hat Enterprise Linux 7.